package com.fuzamei.web;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSON;
import com.fuzamei.constant.HintMSG;
import com.fuzamei.entity.User;
import com.fuzamei.service.ReceivingClerkService;
import com.fuzamei.util.JSONUtil;
import com.fuzamei.util.ValidationUtil;

@RestController
@RequestMapping(value="/receiving_clerk")
public class ReceivingClerkAction {
	@Autowired
	private ReceivingClerkService receivingClerkService;
	
	@PostMapping(path="queryReceivingClerk")
	public Map<String, Object> queryReceivingClerk(@RequestBody String data){
		try {
			
			Map<String, Object> map = JSON.parseObject(data,Map.class);//将前端传过来的json数据转化为map对象，并将map对象传入service层进行数据校验
			//int userId = ValidationUtil.checkAndAssignInt(map.getUser_id());// 首先校验用户权限问题
			
			String username=ValidationUtil.checkBlankStringAndAssignEmptyIfIsBlank(map.get("username"));//拿到前端传来的账号去service校验
			Map<String, Object> mapToService = new LinkedHashMap<String, Object>();
			mapToService.put("username", username);
			List<User> list=receivingClerkService.queryReceivingClerk(map);
		    return JSONUtil.getJsonMap(200, true, HintMSG.QUERY_SUCCESS, list);
		} catch (Exception e) {
			return JSONUtil.getJsonMap(500, false, HintMSG.QUERY_FAIL+":"+e.getMessage(), null);
		}
	}
	
	
	
}
